Bug 159556 - Parsing code inside comments
Parsing code inside comments
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-03 21:55 EDT by Jan Kratochvil
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 22:22:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2005-06-03 21:55:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Galeon/1.3.21

Description of problem:
The following first lines of the .spec file will create "arm" package.
Despite the line is commented.

# Lace:
# Do not: %define _target_cpu arm
# as rpm assumes 'target_platform' as the '_build'.
%define _prefix /usr/local/XYZZY-%{_vendor}-%{_target_os}


Version-Release number of selected component (if applicable):
rpm-4.4.1-18.1

How reproducible:
Always

Steps to Reproduce:
1. Prepend the text to the .spec file as above.
2. Type rpmbuild -bb x.spec


Actual Results:  Package gets created in RPMS/arm/... etc.


Expected Results:  Package gets created in RPMS/i386/...


Additional info:
Comment 1 Jeff Johnson 2005-08-26 22:22:45 EDT
Macros are context free, are expanded everwhere they are found, inside strinsg, in comments, everywhere.

Do this instead (note doubled % to escape expansion):

# Do not: %%define _target_cpu arm

Note You need to log in before you can comment on or make changes to this bug.